﻿Module Module1

    Sub Main()
        'Create a new workbook.
        Dim Wbook = New ExcelWorkbook()

        'Add new worksheet to workbook.
        Wbook.Worksheets.Add("Sheet1")

        'Example of getting the sheet by index and name.
        Wbook.Worksheets(0).Cells(0, 0).Value = "A"
        Wbook.Worksheets("Sheet1").Cells(1, 0).Value = "B"

        'Example of getting the cell by index of row.
        Wbook.Worksheets(0).Rows(2).Cells(0).Value = "C"

        'Example of getting the cell by index of column and name of column.
        Wbook.Worksheets(0).Columns(0).Cells(3).Value = "D"
        Wbook.Worksheets(0).Columns("A").Cells(4).Value = "E"

        'Example of simple getting the cell by index of row and index of column.
        Wbook.Worksheets(0).Cells(5, 0).Value = "F"
        Wbook.Worksheets(0).Cells("A7").Value = "G"

        'Example of getting the cell ranhe by index of row and index of column.
        Wbook.Worksheets(0).Cells("A8:C10").IsMerged = True

        'Write text to merged cell.
        Wbook.Worksheets(0).Cells("A8").Value = "H"

        'XLS
        Wbook.WriteXLS("..\..\..\ExcelCellAddress.xls")

        'XLSX
        Wbook.WriteXLSX("..\..\..\ExcelCellAddress.xlsx")

        'Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\ExcelCellAddress.xlsx")


    End Sub

End Module
